ColumnListParameter (Occurrence Data Management 2.0.0-3.1.1 API)
Date: 2014-06-04

org.gcube.portlets.user.occurrencemanagement.shared.statisticalparameter

## Class ColumnListParameter

- java.lang.Object
- - org.gcube.portlets.user.occurrencemanagement.shared.statisticalparameter.Parameter
  - - org.gcube.portlets.user.occurrencemanagement.shared.statisticalparameter.ColumnListParameter

- All Implemented Interfaces:
    com.google.gwt.user.client.rpc.IsSerializable

      public class ColumnListParameter
      extends Parameter
      implements com.google.gwt.user.client.rpc.IsSerializable

  Author:
    ceras

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.gcube.portlets.user.occurrencemanagement.shared.statisticalparameter.Parameter

      `Parameter.ParameterTypology`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ColumnListParameter()`
    `ColumnListParameter(String name, String description, String referredTabularParameterName, String separator)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getReferredTabularParameterName()`
    `String` | `getSeparator()`
    `String` | `getValue()`
    `void` | `setReferredTabularParameterName(String referredTabularParameterName)`
    `void` | `setValue(String value)`

    - ### Methods inherited from class org.gcube.portlets.user.occurrencemanagement.shared.statisticalparameter.Parameter

      `getDescription, getName, getTypology, isColumn, isColumnList, isEnum, isFile, isList, isObject, isTabular, setDescription, setName, setTypology`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ColumnListParameter

          public ColumnListParameter()

    - #### ColumnListParameter

          public ColumnListParameter(String name,
                             String description,
                             String referredTabularParameterName,
                             String separator)

  - ### Method Detail

    - #### setReferredTabularParameterName

          public void setReferredTabularParameterName(String referredTabularParameterName)

      Parameters:
        `referredTabularParameterName` - the referredTabularParameterName to set

    - #### getReferredTabularParameterName

          public String getReferredTabularParameterName()

      Returns:
        the referredTabularParameterName

    - #### getValue

          public String getValue()

      Specified by:
        `getValue` in class `Parameter`
      Returns:
        the value

    - #### setValue

          public void setValue(String value)

      Specified by:
        `setValue` in class `Parameter`

    - #### getSeparator

          public String getSeparator()

      Returns:
        the separator

Copyright © 2014. All Rights Reserved.